<p align="center"><a href="https://fuseopen.com"><img src="https://github.com/fuse-open/fuse-sdk/raw/8e2179ce599bb5db81db3841a472e8b298019029/img/fuseopen.png" alt="Fuse Open" width="300" /></a></p>
<p align="center"><em>Build beautiful, high-performance iOS and Android apps with a single codebase.</em></p>

<p align="center">
<a href="https://ci.appveyor.com/project/mortend/fuse-sdk/branch/master"><img src="https://img.shields.io/appveyor/ci/mortend/fuse-sdk/master.svg?logo=appveyor&amp;logoColor=silver&amp;style=flat-square" alt="AppVeyor build status"></a>
<a href="https://www.npmjs.com/package/fuse-sdk"><img src="https://img.shields.io/npm/v/fuse-sdk.svg?style=flat-square" alt="NPM package"></a>
<a href="https://www.npmjs.com/package/fuse-sdk"><img src="https://img.shields.io/npm/v/fuse-sdk/beta.svg?style=flat-square" alt="NPM beta"></a>
<a href="https://fusecommunity.slack.com/"><img src="https://img.shields.io/badge/chat-on slack-blue.svg?style=flat-square" alt="Slack"></a>
<a href="https://opencollective.com/fuse-open"><img src="https://opencollective.com/fuse-open/all/badge.svg?label=financial+contributors&amp;style=flat-square" alt="Financial Contributors on Open Collective"></a>
<a href="LICENSE.txt"><img src="https://img.shields.io/github/license/fuse-open/fuse-sdk.svg?style=flat-square" alt="License: MIT"></a>
</p>

<p align="center">
<img src="https://img.shields.io/badge/user experience-impressive-7F5AB6?style=flat-square" alt="User experience">
<img src="https://img.shields.io/badge/performance-excellent-7F5AB6?style=flat-square" alt="Performance">
<img src="https://img.shields.io/badge/supported platforms-Android | iOS | macOS | Linux | Windows-7F5AB6?style=flat-square" alt="Supported platforms">
</p>

---

<p align="center">
<a href="https://www.npmjs.com/package/fuse-sdk"><img src="https://github.com/fuse-open/fuse-sdk/raw/8e2179ce599bb5db81db3841a472e8b298019029/img/fuse_sdk.png" alt="Fuse SDK" width="222" /></a>
<a href="https://www.npmjs.com/package/@fuse-open/fuselibs"><img src="https://github.com/fuse-open/fuse-sdk/raw/8e2179ce599bb5db81db3841a472e8b298019029/img/fuselibs.png" alt="Fuselibs" width="222" /></a>
<a href="https://www.npmjs.com/package/@fuse-open/uno"><img src="https://github.com/fuse-open/fuse-sdk/raw/8e2179ce599bb5db81db3841a472e8b298019029/img/uno.png" alt="Uno" width="222" /></a>
</p>

---

Fuse SDK is a set of open-source tools and libraries for cross-platform mobile app development.

Build user interfaces using the easy to learn [UX markup language](https://fuseopen.com/docs/ux-markup/ux-markup.html), and add [JavaScript or TypeScript](https://fuseopen.com/docs/fusejs/fusejs.html) for business logic. UX markup is a declarative, XML based language for expressing user interfaces, layout, effects and motion, where animation is a first class citizen, and where you can easily produce advanced visuals and user interfaces.

Access lower level features via the very powerful [Uno programming language](https://fuseopen.com/docs/uno/uno-lang). This is a modern, C#-like language where you can seamlessly access any native API in Java, Objective-C and C/C++, implement new Fuse components, or just write some superfast code. Uno is optimized for performance and portability, compiles down to native C++, and is one of the fastest and most versatile programming languages around. The UI-engine and most run-time features in Fuse are implemented in Uno.

For rapid development, you can even build and test apps directly on your development machine. Fuse apps run on Linux, Mac and Windows, in addition to Android and iOS.

There's also a visual tool suite called [fuse X](https://fuse-x.com), based on Fuse SDK, offering powerful app creation tools, realtime preview (hot reload) and more, available for macOS and Windows.

## Install

```shell
npm install fuse-sdk
```

This will install Fuse SDK, including [`uno`](https://github.com/fuse-open/uno) and [a set of libraries](https://github.com/fuse-open/fuselibs) used to build [Fuse](https://fuseopen.com) apps.

### Beta releases

We are currently working on [`beta-3.0`](https://github.com/fuse-open/fuse-sdk/tree/beta-3.0). Releases made from this branch are tagged `@beta` on NPM.

## Usage

Please refer to the following links for information about using Fuse SDK.

* A quick introduction to using Fuse SDK can be found in [this blog post](https://medium.com/@mortendanielfornes/introducing-fuse-sdk-890180044c13).

* Check out the [official documentation](https://fuseopen.com/docs), [examples](https://fuseopen.com/examples/) and [source code](https://github.com/fuse-open).

* Come chat with us on [Slack](https://fusecommunity.slack.com/) and join the [forums](https://forums.fusetools.com/).

* The old, but still useful [YouTube playlist](https://www.youtube.com/playlist?list=PLdlqWm6b-XALJgM3fGa4q95Yipsgb8Q1o).

## Contributors

### Code Contributors

This project exists thanks to all the people who contribute. [[Contribute](CONTRIBUTING.md)]
<a href="https://github.com/fuse-open/fuse-sdk/graphs/contributors"><img src="https://opencollective.com/fuse-open/contributors.svg?width=890&button=false" /></a>

### Financial Contributors

Become a financial contributor and help us sustain our community. [[Contribute](https://opencollective.com/fuse-open/contribute)]

#### Individuals

<a href="https://opencollective.com/fuse-open"><img src="https://opencollective.com/fuse-open/individuals.svg?width=890"></a>

#### Organizations

Support this project with your organization. Your logo will show up here with a link to your website. [[Contribute](https://opencollective.com/fuse-open/contribute)]

<a href="https://opencollective.com/fuse-open/organization/0/website"><img src="https://opencollective.com/fuse-open/organization/0/avatar.svg"></a>
<a href="https://opencollective.com/fuse-open/organization/1/website"><img src="https://opencollective.com/fuse-open/organization/1/avatar.svg"></a>
<a href="https://opencollective.com/fuse-open/organization/2/website"><img src="https://opencollective.com/fuse-open/organization/2/avatar.svg"></a>
<a href="https://opencollective.com/fuse-open/organization/3/website"><img src="https://opencollective.com/fuse-open/organization/3/avatar.svg"></a>
<a href="https://opencollective.com/fuse-open/organization/4/website"><img src="https://opencollective.com/fuse-open/organization/4/avatar.svg"></a>
<a href="https://opencollective.com/fuse-open/organization/5/website"><img src="https://opencollective.com/fuse-open/organization/5/avatar.svg"></a>
<a href="https://opencollective.com/fuse-open/organization/6/website"><img src="https://opencollective.com/fuse-open/organization/6/avatar.svg"></a>
<a href="https://opencollective.com/fuse-open/organization/7/website"><img src="https://opencollective.com/fuse-open/organization/7/avatar.svg"></a>
<a href="https://opencollective.com/fuse-open/organization/8/website"><img src="https://opencollective.com/fuse-open/organization/8/avatar.svg"></a>
<a href="https://opencollective.com/fuse-open/organization/9/website"><img src="https://opencollective.com/fuse-open/organization/9/avatar.svg"></a>
